Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.data
Class JRHibernateScrollDataSource

    java.lang.Object
      net.sf.jasperreports.engine.data.JRHibernateAbstractDataSource
          net.sf.jasperreports.engine.data.JRHibernateScrollDataSource

All Implemented Interfaces:
  JRDataSource, JRRewindableDataSource

    public class JRHibernateScrollDataSource

extends JRHibernateAbstractDataSource
implements JRRewindableDataSource

Hibernate data source that uses `org.hibernate.Query.scroll()`.

Version:
  $Id: JRHibernateScrollDataSource.java 3659 2010-03-31 10:20:49Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.data.JRHibernateAbstractDataSource
`JRHibernateAbstractDataSource.FieldReader, JRHibernateAbstractDataSource.IdentityFieldReader, JRHibernateAbstractDataSource.IndexFieldReader, JRHibernateAbstractDataSource.IndexPropertyFieldReader, JRHibernateAbstractDataSource.PropertyFieldReader`

Field Summary

Fields inherited from class net.sf.jasperreports.engine.data.JRHibernateAbstractDataSource
`queryExecuter`

Constructor Summary
`JRHibernateScrollDataSource(JRHibernateQueryExecuter queryExecuter, boolean useFieldDescription)`

Method Summary
`void` | `moveFirst()` Moves back to the first element in the data source.
`boolean` | `next()` Tries to position the cursor on the next element in the data source.

Methods inherited from class net.sf.jasperreports.engine.data.JRHibernateAbstractDataSource
`assignReaders, getFieldMapping, getFieldReader, getFieldReaderSingleReturn, getFieldValue, setCurrentRowValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRDataSource
`getFieldValue`

Constructor Detail

### JRHibernateScrollDataSource

    public JRHibernateScrollDataSource(JRHibernateQueryExecuter queryExecuter,
                                       boolean useFieldDescription)

Method Detail

### next

    public boolean next()
                 throws JRException

  Description copied from interface: `JRDataSource`
  Tries to position the cursor on the next element in the data source.

  Specified by:
    `next` in interface `JRDataSource`
  Returns:
    true if there is a next record, false otherwise
  Throws:
    `JRException` - if any error occurs while trying to move to the next element

### moveFirst

    public void moveFirst()

  Description copied from interface: `JRRewindableDataSource`
  Moves back to the first element in the data source.

  Specified by:
    `moveFirst` in interface `JRRewindableDataSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com